Subject: [Mgs] Radios

From: "dave" <[email-masked]>
Date: Mon, 4 Oct 2021 16:05:21 -0500

Jon -

My friend has an early 60's right hand drive MG 4 door sedan.  It has a radio in it, but only the light comes on.  no sound, static, or anything.

It looks like it’s an Ekco Type 1901.  It power unit is separate from the radio head.  I’m guessing the speaker connects to the power unit?

I don’t think it’s an AM radio.  The frequency dial runs from 200-2000.   I did happen to find a website that shows it’s a radio that was new in 1961.  Only 31 pounds!

http://antique-autoradio-madness.org/Ecko/Ekco-1960_1.htm

did the UK have a different set of bandwidths than the US?

_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.75

Archive: http://www.team.net/pipermail/mgs http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]